aboutsummaryrefslogtreecommitdiff
path: root/media/libs/libtheora/libtheora.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'media/libs/libtheora/libtheora.SlackBuild')
-rwxr-xr-xmedia/libs/libtheora/libtheora.SlackBuild132
1 files changed, 132 insertions, 0 deletions
diff --git a/media/libs/libtheora/libtheora.SlackBuild b/media/libs/libtheora/libtheora.SlackBuild
new file mode 100755
index 00000000..af1a33b6
--- /dev/null
+++ b/media/libs/libtheora/libtheora.SlackBuild
@@ -0,0 +1,132 @@
+#!/bin/bash
+#
+# Heavily based on the Slackware 10.2 SlackBuild
+# http://www.theora.org
+#
+# bumped to version 1.0alpha7 - rafael2k
+#
+# got it from http://www.slacky.it/download/libraries/libtheora/1.0alpha5/src/libtheora.SlackBuild
+# small changes by rhatto
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+PACKAGE="libtheora"
+VERSION=${VERSION:=1.0alpha7}
+ARCH=${ARCH:-i486}
+TARGET=${TARGET:=$ARCH}
+BUILD=${BUILD:=1rha}
+TMP=${TMP:=/tmp}
+SRC_DIR=${SRC:=$CWD}
+REPOS=${REPOS:=$TMP}
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://downloads.xiph.org/releases/theora/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mcpu=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR="/usr/lib64"
+else
+ LIBDIR="/usr/lib"
+fi
+
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+NAME="$PACKAGE"
+PKG=$TMP/package-$PACKAGE
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $NAME-$VERSION
+chown -R root.root .
+
+find . -perm 777 -exec chmod 755 {} \;
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr --disable-static --libdir=$LIBDIR --program-prefix="" --program-suffix="" $TARGET-slackware-linux
+
+make || exit 32
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+mv $PKG/usr/share/doc/$NAME-$VERSION/* $PKG/usr/doc/$NAME-$VERSION
+cp -a COPYING README $PKG/usr/doc/$NAME-$VERSION
+rm -rf $PKG/usr/share
+ln -sf /usr/lib/libtheora.so.0.2.0 $PKG/usr/lib/libtheora.so
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat << EOF > $PKG/install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |----handy-ruler-----------------------------------------------------|
+libtheora: Libtheora
+libtheora:
+libtheora: Theora is an open video codec being developed by the Xiph.org
+libtheora: Foundation as part of their Ogg project (It is a project that aims
+libtheora: to integrate On2's VP3 video codec, Ogg Vorbis audio codec and Ogg
+libtheora: multimedia container formats into a multimedia solution that can
+libtheora: compete with MPEG-4 format).
+libtheora:
+libtheora:
+libtheora:
+libtheora:
+EOF
+
+cd $PKG
+
+echo 'chroot . /sbin/ldconfig' > install/doinst.sh
+
+makepkg -l y -c n $REPOS/$NAME-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+